Bug 1729965 - Wrong License: tag for jquery-ui
Summary: Wrong License: tag for jquery-ui
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-XStatic-jquery-ui
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 12:31 UTC by Xavier Bachelot
Modified: 2021-02-16 14:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-16 14:21:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Xavier Bachelot 2019-07-15 12:31:40 UTC
Description of problem:
License in specfile looks wrong to me.
According to [1], license should be MIT. Only the sample code in the demos/ subdir is licensed as CC0.

[1] https://github.com/jquery/jquery-ui/blob/master/LICENSE.txt

Version-Release number of selected component (if applicable):
1.12.0.1-6.fc30

How reproducible:
Always.

Steps to Reproduce:
1. dnf repoquery xstatic-jquery-ui-common.noarch --qf '%{name} %{license}\n'
2.
3.

Actual results:
xstatic-jquery-ui-common CC0

Expected results:
xstatic-jquery-ui-common MIT

Additional info:

Comment 1 Ben Cotton 2019-08-13 16:51:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:02:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2020-11-03 15:20:08 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Admin user for bugzilla script actions 2021-01-18 12:07:21 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 5 Ben Cotton 2021-02-09 15:10:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 6 Miro Hrončok 2021-02-16 14:21:07 UTC
Automation has figured out the package is retired in Fedora 34.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement


Note You need to log in before you can comment on or make changes to this bug.